Subject: Re: Oops in filter add

From: Chris Madden <[email-masked]>
Date: Tue, 20 Mar 2007 12:27:21 -0400

Patrick McHardy wrote:
>
> There was a small bug in my patch (broken return value on memory
> allocation failure, not relevant for testing though). I'll push
> the fixed patch to Dave once Chris confirms that it fixes the
> problem he's seeing.
>   
Looks like that may have done it.  I ramped up the traffic on it and did
thousands of inserts/removals and the box seems happy.

I had ing_filter still locking dev->ingress_lock ( instead of the
queue_lock suggestion earlier ).   So while that race may still be in
there, I haven't been able to hit the locking problem.

chris